<?xml version="1.0" encoding="UTF-8"?>
<!-- rc9262a.xslt, versie 1.0, 24 januari 2022 -->
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:gqs802="http://ei.vektis.nl/schadelastbericht583">

	<!-- retourcode 9262: Indien Berichtcode = 582 (= Aanlevering schadelast informatie generiek), dan mag alleen VerzenderRol = 3 (= Zorgverzekeraar) of 5 (= Zorgkantoor) voorkomen. -->
	<xsl:template name="rc9262a">
		<xsl:param name="Berichtcode"/>
		<xsl:param name="VerzenderRol"/>
		
		<xsl:if test="$Berichtcode='582' and not($VerzenderRol='3' or $VerzenderRol='5')">
			<gqs802:Feedback>
				<gqs802:Retourcode>9262</gqs802:Retourcode>
					<!-- som de elementen op die de fout veroorzaken -->
					<gqs802:BetrokkenElement>
						<gqs802:Elementnaam><xsl:value-of select="local-name($Berichtcode)"/></gqs802:Elementnaam>
						<gqs802:Elementwaarde><xsl:value-of select="$Berichtcode"/></gqs802:Elementwaarde>
					</gqs802:BetrokkenElement>
					<gqs802:BetrokkenElement>
						<gqs802:Elementnaam><xsl:value-of select="local-name($VerzenderRol)"/></gqs802:Elementnaam>
						<gqs802:Elementwaarde><xsl:value-of select="$VerzenderRol"/></gqs802:Elementwaarde>
					</gqs802:BetrokkenElement>
			</gqs802:Feedback>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
