<?xml version="1.0" encoding="UTF-8"?>
<!-- rc9263a.xslt, versie 1.0, 13 april 2022 -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:gqs802="http://ei.vektis.nl/schadelastbericht583">

	<!-- retourcode 9263: Indien Berichtcode = 582 (= Declaratie),dan mag alleen OntvangerRol = 10 (= Vektis) voorkomen. -->
	<xsl:template name="rc9263a">
		<xsl:param name="Berichtcode"/>
		<xsl:param name="OntvangerRol"/>

		<xsl:if test="$Berichtcode=582 and not($OntvangerRol='10')">
			<gqs802:Feedback>
				<gqs802:Retourcode>9263</gqs802:Retourcode>
				<!-- som de elementen op die de fout veroorzaken -->
				<gqs802:BetrokkenElement>
					<gqs802:Elementnaam><xsl:value-of select="local-name($Berichtcode)"/></gqs802:Elementnaam>
					<gqs802:Elementwaarde><xsl:value-of select="$Berichtcode"/></gqs802:Elementwaarde>
				</gqs802:BetrokkenElement>
				<gqs802:BetrokkenElement>
					<gqs802:Elementnaam><xsl:value-of select="local-name($OntvangerRol)"/></gqs802:Elementnaam>
					<gqs802:Elementwaarde><xsl:value-of select="$OntvangerRol"/></gqs802:Elementwaarde>
				</gqs802:BetrokkenElement>
			</gqs802:Feedback>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
