<?xml version="1.0" encoding="UTF-8"?>
<!-- rc9489.xslt, versie 1.0, 30 maart 2022 -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:gqs802="http://ei.vektis.nl/schadelastbericht583">

	<!-- retourcode 9492: Indien Berichttype is 02 (= Correctie aanlevering) of 03 (= Vervallen aanlevering), dan mogen BegindatumAanleverperiode en EinddatumAanleverperiode niet voorkomen. -->
	<xsl:template name="rc9492">
		<xsl:param name="Berichttype"/>
		<xsl:param name="BegindatumVerwerkingsperiode"/>
		<xsl:param name="EinddatumVerwerkingsperiode"/>
		
		<xsl:if test="($Berichttype='02' or $Berichttype = '03') and ($BegindatumVerwerkingsperiode or $EinddatumVerwerkingsperiode)">
			<gqs802:Feedback>
				<gqs802:Retourcode>9492</gqs802:Retourcode>
				<!-- som de elementen op die de fout veroorzaken -->
				<gqs802:BetrokkenElement>
					<gqs802:Elementnaam><xsl:value-of select="local-name($Berichttype)"/></gqs802:Elementnaam>
					<gqs802:Elementwaarde><xsl:value-of select="$Berichttype"/></gqs802:Elementwaarde>
				</gqs802:BetrokkenElement>
				<xsl:if test="$BegindatumVerwerkingsperiode">
					<gqs802:BetrokkenElement>
						<gqs802:Elementnaam><xsl:value-of select="local-name($BegindatumVerwerkingsperiode)"/></gqs802:Elementnaam>
						<gqs802:Elementwaarde><xsl:value-of select="$BegindatumVerwerkingsperiode"/></gqs802:Elementwaarde>
					</gqs802:BetrokkenElement>
				</xsl:if>
				<xsl:if test="$EinddatumVerwerkingsperiode">
					<gqs802:BetrokkenElement>
						<gqs802:Elementnaam><xsl:value-of select="local-name($EinddatumVerwerkingsperiode)"/></gqs802:Elementnaam>
						<gqs802:Elementwaarde><xsl:value-of select="$EinddatumVerwerkingsperiode"/></gqs802:Elementwaarde>
					</gqs802:BetrokkenElement>
				</xsl:if>
			</gqs802:Feedback>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
