<?xml version="1.0" encoding="UTF-8"?>
<!-- rc9537.xslt, versie 1.0, 22 november 2022 -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:gqs802="http://ei.vektis.nl/schadelastbericht583">

	<!-- retourcode 9537: Indien Ontvangerrol <> 10 (= Vektis), dan moet Ontvanger voorkomen. -->
	<xsl:template name="rc9537">
		<xsl:param name="Ontvanger"/>
		<xsl:param name="Ontvangerrol"/>

		<xsl:if test="($Ontvangerrol != '10') and not($Ontvanger)">
			<gqs802:Feedback>
				<gqs802:Retourcode>9537</gqs802:Retourcode>
				<!-- som de elementen op die de fout veroorzaken -->
				<gqs802:BetrokkenElement>
					<gqs802:Elementnaam><xsl:value-of select="local-name($Ontvangerrol)"/></gqs802:Elementnaam>
					<gqs802:Elementwaarde><xsl:value-of select="$Ontvangerrol"/></gqs802:Elementwaarde>
				</gqs802:BetrokkenElement>
			</gqs802:Feedback>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
